<?php

namespace Teknisa\SM\Util;

class UtilContrato {
  
    /**
     *  Válida se um contrato possui os percentuais de índice preenchido corretamente
     *
     * @param array $paramsReajuste - Contrato a ser avaliado
     * @return boolean - Foi preenchido corretamente?
     */
    public static function validaPercentualIndiceFinanceiro(array $paramsReajuste)  {
        $retorno = true;
        $somaPercentual = 0.0;
        foreach ($paramsReajuste as $param) {
            $somaPercentual += (float)$param["NRPERCENTINDICE"];
        }
        
        if ($somaPercentual != 100) {
          $retorno = false;
        }  
        return $retorno;
    }
}

